curl --request POST \
--url https://api.omniall.ai/v1/video/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "omniall-redraw-1",
"prompt": "redraw",
"video_url": "https://cdn.example.com/clip.mp4",
"seconds": 6,
"resolution": "1080p"
}
'{
"id": "task_xxx",
"task_id": "task_xxx",
"status": "processing",
"model": "omniall-redraw-1"
}Video redraw
Create video redraw
Create an async video redraw task.
Path: POST https://api.omniall.ai/v1/video/generations (also POST /v1/videos)
Poll every 10–15s. On success download result_url / video_url promptly.
Billing seconds: max(4, ceil(source_duration - 0.1)), max 60.
Auth: Authorization: Bearer sk-...
POST
/
v1
/
video
/
generations
curl --request POST \
--url https://api.omniall.ai/v1/video/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "omniall-redraw-1",
"prompt": "redraw",
"video_url": "https://cdn.example.com/clip.mp4",
"seconds": 6,
"resolution": "1080p"
}
'{
"id": "task_xxx",
"task_id": "task_xxx",
"status": "processing",
"model": "omniall-redraw-1"
}Body
application/json